org.apache.synapse.securevault

## Class SecurityConstants

- java.lang.Object
- - org.apache.synapse.securevault.SecurityConstants

-     public class SecurityConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NS_SEPARATOR`
    `static java.lang.String` | `PASSWORD_MANAGER_CAP`
    `static java.lang.String` | `PASSWORD_MANAGER_SIMPLE`
    `static java.lang.String` | `PASSWORD_PROVIDER_CAP`
    `static java.lang.String` | `PASSWORD_PROVIDER_SIMPLE`
    `static java.lang.String` | `PROP_PASSWORD`
    `static java.lang.String` | `PROP_PASSWORD_PROMPT`
    `static java.lang.String` | `PROP_SECRET_CALLBACK_HANDLER`
    `static java.lang.String` | `PROP_SECRET_MANAGER_ADMIN_MBEAN`
    `static java.lang.String` | `PROP_SECURITY_ADMIN_SERVICES`
    `static java.lang.String` | `PROP_USER_NAME`
    `static java.lang.String` | `PROTECTED_TOKENS_CAP`
    `static java.lang.String` | `PROTECTED_TOKENS_SIMPLE`
    `static java.lang.String` | `SECRET_PROVIDER`
    `static java.lang.String` | `SECURE_VAULT_ALIAS`
    `static java.lang.String` | `SECURE_VAULT_ATTRIBUTE`
    `static java.lang.String` | `SECURE_VAULT_CAP`
    `static java.lang.String` | `SECURE_VAULT_NS`
    `static java.lang.String` | `SECURE_VAULT_SIMPLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_USER_NAME

          public static final java.lang.String PROP_USER_NAME

      See Also:
        Constant Field Values

    - #### PROP_PASSWORD

          public static final java.lang.String PROP_PASSWORD

      See Also:
        Constant Field Values

    - #### PROP_PASSWORD_PROMPT

          public static final java.lang.String PROP_PASSWORD_PROMPT

      See Also:
        Constant Field Values

    - #### PROP_SECRET_CALLBACK_HANDLER

          public static final java.lang.String PROP_SECRET_CALLBACK_HANDLER

      See Also:
        Constant Field Values

    - #### PROP_SECURITY_ADMIN_SERVICES

          public static final java.lang.String PROP_SECURITY_ADMIN_SERVICES

      See Also:
        Constant Field Values

    - #### PROP_SECRET_MANAGER_ADMIN_MBEAN

          public static final java.lang.String PROP_SECRET_MANAGER_ADMIN_MBEAN

      See Also:
        Constant Field Values

    - #### PASSWORD_MANAGER_SIMPLE

          public static final java.lang.String PASSWORD_MANAGER_SIMPLE

      See Also:
        Constant Field Values

    - #### PASSWORD_PROVIDER_SIMPLE

          public static final java.lang.String PASSWORD_PROVIDER_SIMPLE

      See Also:
        Constant Field Values

    - #### SECRET_PROVIDER

          public static final java.lang.String SECRET_PROVIDER

      See Also:
        Constant Field Values

    - #### PROTECTED_TOKENS_SIMPLE

          public static final java.lang.String PROTECTED_TOKENS_SIMPLE

      See Also:
        Constant Field Values

    - #### PASSWORD_MANAGER_CAP

          public static final java.lang.String PASSWORD_MANAGER_CAP

      See Also:
        Constant Field Values

    - #### PASSWORD_PROVIDER_CAP

          public static final java.lang.String PASSWORD_PROVIDER_CAP

      See Also:
        Constant Field Values

    - #### PROTECTED_TOKENS_CAP

          public static final java.lang.String PROTECTED_TOKENS_CAP

      See Also:
        Constant Field Values

    - #### SECURE_VAULT_NS

          public static final java.lang.String SECURE_VAULT_NS

      See Also:
        Constant Field Values

    - #### SECURE_VAULT_SIMPLE

          public static final java.lang.String SECURE_VAULT_SIMPLE

      See Also:
        Constant Field Values

    - #### SECURE_VAULT_CAP

          public static final java.lang.String SECURE_VAULT_CAP

      See Also:
        Constant Field Values

    - #### SECURE_VAULT_ATTRIBUTE

          public static final java.lang.String SECURE_VAULT_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### SECURE_VAULT_ALIAS

          public static final java.lang.String SECURE_VAULT_ALIAS

      See Also:
        Constant Field Values

    - #### NS_SEPARATOR

          public static final java.lang.String NS_SEPARATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SecurityConstants

          public SecurityConstants()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.